Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator.util
Class ValidatorUtils

    java.lang.Object
      |
      +--org.apache.commons.validator.util.ValidatorUtils

public class ValidatorUtils
extends java.lang.Object

Basic utility methods.

The use of FastHashMap is deprecated and will be replaced in a future release.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $

Constructor Summary
`ValidatorUtils()`

Method Summary
`static org.apache.commons.collections.FastHashMap` | `copyFastHashMap(org.apache.commons.collections.FastHashMap map)` Deprecated. This method is not part of Validator's public API. Validator will use it internally until FastHashMap references are removed. Use copyMap() instead.
`static java.util.Map` | `copyMap(java.util.Map map)` Makes a deep copy of a `Map` if the values are `Msg`, `Arg`, or `Var`.
`static java.lang.String` | `getValueAsString(java.lang.Object bean, java.lang.String property)` Convenience method for getting a value from a bean property as a `String`.
`static java.lang.String` | `replace(java.lang.String value, java.lang.String key, java.lang.String replaceValue)` Replace part of a `String` with another value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorUtils

    public ValidatorUtils()

Method Detail

### replace

    public static java.lang.String replace(java.lang.String value,
                                           java.lang.String key,
                                           java.lang.String replaceValue)

  Replace part of a `String` with another value.

  Parameters:
    `value` - `String` to perform the replacement on.
    `key` - The name of the constant.
    `replaceValue` - The value of the constant.
  Returns:
    The modified value.

### getValueAsString

    public static java.lang.String getValueAsString(java.lang.Object bean,
                                                    java.lang.String property)

  Convenience method for getting a value from a bean property as a `String`. If the property is a `String[]` or `Collection` and it is empty, an empty `String` "" is returned. Otherwise, property.toString() is returned. This method may return `null` if there was an error retrieving the property.
  Parameters:
    `bean` - The bean object.
    `property` - The name of the property to access.
  Returns:
    The value of the property.

### copyFastHashMap

    public static org.apache.commons.collections.FastHashMap copyFastHashMap(org.apache.commons.collections.FastHashMap map)

  Deprecated. This method is not part of Validator's public API. Validator will use it internally until FastHashMap references are removed. Use copyMap() instead.

  Makes a deep copy of a `FastHashMap` if the values are `Msg`, `Arg`, or `Var`. Otherwise it is a shallow copy.
  Parameters:
    `map` - `FastHashMap` to copy.
  Returns:
    FastHashMap A copy of the `FastHashMap` that was passed in.

### copyMap

    public static java.util.Map copyMap(java.util.Map map)

  Makes a deep copy of a `Map` if the values are `Msg`, `Arg`, or `Var`. Otherwise, it is a shallow copy.
  Parameters:
    `map` - The source Map to copy.
  Returns:
    A copy of the `Map` that was passed in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.